<?
    /*
     * File: page_data.php
     *
     * Description: This file contains the array of page_info data
     *
     * Creator: Chris Ryan <chris@greatbridge.com>
     * Created: 11/02/2000
     *
     * Change Log:
     *     Chris Ryan <chris@greatbridge.com> 11/02/2000
     *         - Initial file creation
     *         - Added the group_info data
     */

    /*
     * in each sub array
     * element#	value_name
     * 0	web_page
     * 1	group_id
     * 2	page_url
     * 3	link_name
     * 4	order_number
     * 5	active
     */
    $PAGE_INFO_DATA = array( array("aboutpage","","/about/about.php","About Us","4","t"),
                             array("browsepage","","/browse.php","Browse Projects","2","t"),
                             array("bugaddpage","","/bugaddpage.php","Add a new Bug","1","t"),
                             array("buglistpage","","/bugdisplaypage.php","Bug Display","1","t"),
                             array("bugupdatepage","","/bugupdatepage.php","Update Bug","1","t"),
                             array("contactpage","about","/about/contact.php","Contact","5","t"),
                             array("contactsentpage","contact","/about/contactsent.php","","2","t"),
                             array("contextpage","","/contextpage.php","GreatBridge.org","1","t"),
                             array("devinfopage","","/devinfo/devinfo.php","Developer Info","4","f"),
                             array("downloadpage","","/downloadpage.php","Download Page","1","t"),
                             array("faqpage","about","/about/faq.php","FAQ","2","f"),
                             array("ftpupload","","/ftpupload.php","FTP Uploads","1","t"),
                             array("homepage","","/index.php","Home","1","t"),
                             array("linkspage","","/links.php","Links","3","f"),
                             array("mailmanpage","","/mailmanpage.php","Mailman","1","t"),
                             array("meminfopage","member","/member/meminfo.php","My Info","1","t"),
                             array("memjoinpage","home","/member/memjoin.php","Join","1","t"),
                             array("memloginpage","home","/member/memlogin.php","Log In","2","t"),
                             array("memmainpage","","/member/memmain.php","My Account","2","t"),
                             array("mempage","member","/member/mempage.php","My Profile","1","t"),
                             array("memprofilepage","home","/member/memprofile.php","Member Profile","2","t"),
                             array("memrequestpage","","/memrequestpage.php","Password Hint Help","1","t"),
                             array("newsfullpage","home","/newsfullpage.php","GreatBridge.org","1","t"),
                             array("newsinputpage","","/newsinputpage.php","GreatBridge.org News","1","t"),
                             array("newslistpage","","/newslistpage.php","Greatbridge.org News","1","t"),
                             array("patchcontentpage","","/patchcontentpage.php","Patch Contents Page","1","t"),
                             array("patchdetailpage","","/patchdetailpage.php","Patch Details","1","t"),
                             array("patcheditpage","","/patcheditpage.php","Edit Patch","1","t"),
                             array("patchlistbyuserpage","","/patchlistbyuserpage.php","List Patches by User","1","t"),
                             array("patchlistpage","","/patchlistpage.php","Path List Page","1","t"),
                             array("patchnewpage","","/patchnewpage.php","New Patch","1","t"),
                             array("privacypage","home","/privacy.php","Privacy Statement","1","t"),
                             array("projaddinfopage","addproject","/project/projadd/projinfo.php","Project Information Form","1","t"),
                             array("projaddmainpage","member","/project/projadd/projaddmain.php","New Project","1","t"),
                             array("projaddmemberfindpage","","/projaddmemberfindpage.php","Add Member: find","1","t"),
                             array("projaddmemberpage","","/projaddmemberpage.php","Add Member","1","t"),
                             array("projaddpage","addproject","/project/projadd/projadd.php","Project add Page","3","t"),
                             array("projaddrulespage","addproject","/project/projadd/projaddrules.php","Project Rules","1","t"),
                             array("projaddtermspage","addproject","/project/projadd/projterms.php","New Project","1","t"),
                             array("projadminpage","","/projadminpage.php","Project Admin Page","1","t"),
                             array("projeditpage","","/projeditpage.php","Project Edit Page","1","t"),
                             array("projdisplaylistpage","","/projdisplaylistpage.php","Project Display list","1","t"),
                             array("projdisplaypage","","/projdisplaypage.php","Project Display","1","t"),
                             array("projjoinlistpage","","/projjoinlistpage.php.php","Great Bridge","1","t"),
                             array("projjoinpage","home","/projjoinpage.php","Great Bridge","1","t"),
                             array("projmailnewlistpage","","/projmailnewlistpage.php","New List","1","t"),
                             array("projmemberupdatepage","","/projmemberupdatepage.php","Update Member","1","t"),
                             array("projversionpage","","/projversionpage.php","Project Versions","1","t"),
                             array("projviewcvspage","","/projviewcvspage.php","View CVS","1","t"),
                             array("sitemappage","about","/about/sitemap.php","Site Map","1","f"),
                             array("snpaddpage","","/snpaddpage.php","Add A Snippet","1","t"),
                             array("surveycreatepage","","/surveycreatepage.php","Create Your Own Survey","1","t"),
                             array("taskaddpage","home","/project/task/taskadd.php","Add new Task","1","t"),
                             array("taskeditpage","home","/project//task/taskedit.php","Edit Task","1","t"),
                             array("tasklistpage","home","/project/task/tasklist.php","Task List","1","t"),
                             array("taskshowpage","home","/project//task/taskshow.php","Show Task","1","t"),
                             array("termscondpage","about","/about/termscond.php","Terms of Use","3","t"),
                             array("uploadpage","","/uploadpage.php","Upload Page","1","t"));

    /*
     * in each sub array
     * element#	value_name
     * 0	group_id
     * 1	web_page
     * 2	name
     * 3	description
     * 4	is_content
     * 5	order_number
     */
    $GROUP_INFO_DATA = array( array("contact","contactpage","Contact","","f","1"),
                              array("addproject","projaddmainpage","Add a new project","","f","1"),
                              array("home","homepage","Home","","f","1"),
                              array("browse","browsepage","Browse Projects","","f","1"),
                              array("member","memmainpage","Members","","t","3"),
                              array("links","linkspage","Links","","t","4"),
                              array("devinfo","devinfopage","Developer Info","","t","5"),
                              array("about","aboutpage","About Great Bridge","","t","6"));

 ?>
