#!/usr/local/bin/php
<?
    /*
     * File: timeout_sessions.php
     *
     * Description:
     *     This file goes through the member_session table and removes sessions
     * that have been inactive for more than 1 hour.
     *
     *     This cron should be setup to run at least every 15 minutes.
     *
     * Creator: Chris Ryan <chris@greatbridge.com>
     * Created: 10/18/2000
     *
     * Change Log:
     *     Chris Ryan <chris@greatbridge.com> 10/18/2000
     *         - Initial file creation
     */
    # delete all the records that have a difference in time from
    # now and when they were last updated over 1 hour
    $query = "delete from member_session ".
             " where (now() - last_updated) > '01:00:00' ";
    $res   = pg_exec($conn,$query);
 ?>

