<?
    /*
     * File: bugs.php
     *
     * Description:
     *     This file contains utility functions for working with bugs
     *
     * Creator: Chris Ryan <chris@greatbridge.com>
     * Created: 10/05/2000
     *
     * Change Log:
     *     Chris Ryan <chris@greatbridge.com> 10/05/2000
     *         - Initial file creation
     *     Chris Ryan <chris@greatbridge.com> 10/23/2000
     *         - Added calls to pg_freeresult after completion
     *           of each query.
     */

    # this is the cat_id of the record in the database for the
    # default status of bugs
    $BUG_DEFAULT_STATUS = 46;

    /*
     * Function: getBugStatusList();
     *
     * Description: returns an array of key:value pairs of valid bug statuses
     */
     function getBugStatusList() {
         global $conn;
         $query = "  select cat_id, cat_name ".
                  "    from category ".
                  "   where type_id = 3 ".
                  "order by cat_id ";
         $res   = pg_exec($conn,$query);
         $r = 0;
         while($row = @pg_fetch_array($res,$r++)) {
             $list[$row["cat_id"]] = $row["cat_name"];
         }
         pg_freeresult($res);
         return $list;
     }

    /*
     * Function: getBugSeverityList();
     *
     * Description: returns an array of key:value pairs of valid bug severities
     */
     function getBugSeverityList() {
         global $conn;
         $query = "  select cat_id, cat_name ".
                  "    from category ".
                  "   where type_id = 5 ".
                  "order by cat_id ";
         $res   = pg_exec($conn,$query);
         $r = 0;
         while($row = @pg_fetch_array($res,$r++)) {
             $list[$row["cat_id"]] = $row["cat_name"];
         }
         pg_freeresult($res);
         return $list;
     }

    /*
     * Function: getBugClassList();
     *
     * Description: returns an array of key:value pairs of valid bug classes
     */
     function getBugClassList() {
         global $conn;
         $query = "  select cat_id, cat_name ".
                  "    from category ".
                  "   where type_id = 6 ".
                  "order by cat_id ";
         $res   = pg_exec($conn,$query);
         $r = 0;
         while($row = @pg_fetch_array($res,$r++)) {
             $list[$row["cat_id"]] = $row["cat_name"];
         }
         pg_freeresult($res);
         return $list;
     }

 ?>
