<?
/*
 * File: config.php
 *
 * This file contains configuration parameters that all scripts will have
 * in common.
 *
 * Creator: Chris Ryan <chris@greatbridge.com>
 * Created: 09/18/2000
 *
 * Change Log:
 *     Chris Ryan <chris@greatbridge.com> 09/18/2000
 *         - Initial Creation of file
 *     Chris Ryan <chris@greatbridge.com> 10/23/2000
 *         - Added additional comments.
 *     Chris Ryan <chris@greatbridge.com> 10/26/2000
 *         - Changed the default patch status id
 *     Chris Ryan <chris@greatbridge.com> 11/14/2000
 *         - Added the ERRATA_TYPE_ID variable
 *     Chris Ryan <chris@Greatbridge.com> 11/15/2000
 *         - Added the GENPAGE_DIR variable
 *     Chris Ryan <chris@greatbridge.com> 11/30/2000
 *         - Added the MASTER_TEMPLATE_PATH variable
 */

 # specifies to use the collapsable menus on the navigation
 # or not.
 $AUTO_MENU_COLLAPSE = false;

 $MASTER_TEMPLATE_PATH = "/usr/local/gbsite/templates/master";

 /*
  * DB Configuration options
  */
 $DBHOST = "database";
 $DBPORT = "5432";
 $DBNAME = "dotorg";
 $DBUSER = "greatbridge";
 $DBPASS = "greatbridge";

 /*
  * Script path
  * used by the project.php script to locate the
  * project script files
  */
 $SCRIPT_PATH = "/usr/local/gbsite/scripts";

 /*
  * Variables used in the Download Manager stuff
  */
 $DOWNLOAD_FILE_PATH = "/usr/local/ftp/pub";
 $DOWNLOAD_URL = "ftp://ftp.greatbridge.org/pub";

 /*
  * Variables used by the patch manager
  */
 $PATCH_DEFAULT_STATUS = 118;
 $PATCH_FILE_ROOT = "/usr/local/ftp/pub";
 $PATCH_URL_ROOT = "ftp://ftp.greatbridge.org/pub";

 /*
  * CVS config options
  */
 $CVS_PASSWORD_FILE = "/usr/local/cvsroot/data/cvs-passwd";
 $CVS_BASE_DIR      = "/usr/local/cvsroot";

 /*
  * this is used when new projects are submitted
  * it is the id of the staff member to send and email notification to
  */
 $SEND_PROJECT_NOTIFICATION_TO_STAFF_ID = 5;

 $ERRATA_TYPE_ID = 10;
 $GENPAGE_DIR = "/usr/local/gbsite/content/genpage";
 ?>
