<?
    /*
     * File: pre.php
     *
     * Description:
     * This file is included at the top all file by php and contains the
     * includes and other processing that we want on all pages.
     *
     * Creator: Chris Ryan <chris@greatbridge.com>
     * Created: 09/19/2000
     *
     * Change Log:
     *     Chris Ryan <chris@greatbridge.com> 09/19/2000
     *         - Initial file creation
     *     Chris Ryan <chris@greatbridge.com> 10/23/2000
     *         - Added some comments
     *         - added calls to pg_freeresult and unset after each
     *           query that was completed
     */

    /*
     * Includes and Requires
     * should use require_once and include_once to prevent double+ inclusion
     */
    require_once("config.php");
    require_once("database.php");
    require_once("util.php");

    require_once("user.php");
    require_once("project.php");
    require_once("download.php");
    require_once("patch.php");
    require_once("bugs.php");
    require_once("cvs.php");

    /*
     * Processing that all pages will use
     */

    /*
     * do the member session processing here
     */
    $member_id = getMemberBySession($session_id);
    if(!empty($member_id)) {
        $query = "select member_name, ".
                 "       email ".
                 "  from member ".
                 " where member_id = $member_id ";
        $res   = pg_exec($conn,$query);
        if(pg_numrows($res) < 1) {
            $member_id = "";
        } else {
            $row = pg_fetch_array($res,0);
            $member_name = $row["member_name"];
            $member_email = $row["email"];
            unset($row);
        }
        pg_freeresult($res);
        unset($res);
        unset($query);
    }

    /*
     * run the code that gets the site_info record
     */
    $url_prefix = "http://";

    # find the site info record that matches the site the browser
    # claims it is looking at
    $query = "select name_prefix, ".
             "       official_name, ".
             "       template_path, ".
             "       image_path, ".
             "       group_id, ".
             "       http_host ".
             "  from site_info ".
             " where http_host = '$SERVER_NAME'";

    $res = pg_exec($conn,$query);

    # if now rows were found execute the query again with the modification
    # to find those rows with a default_site = true value
    if(pg_numrows($res) < 1) {
        $res = pg_exec($conn,$query . " OR default_page = true");
    }

    $site_info = pg_fetch_object($res,0);
    pg_freeresult($res);
    unset($res);

    # set some global variables
    $HTTP_HOST = $site_info->http_host;
    $name_prefix = $site_info->name_prefix;
    $official_name = $site_info->official_name;
    $template_path = $site_info->template_path;
    $image_path = $site_info->image_path;
    $site_group_id = $site_info->group_id;

    # now we want to load the colors
    $query = "select number, value ".
             "  from color ".
             " where http_host = '$HTTP_HOST'";
    $res   = pg_exec($conn,$query);
    $r = 0;
    while($row = @pg_fetch_object($res,$r++)) {
        $color = "color_" . $row->number;
        $$color = $row->value;
    }
    pg_freeresult($res);
    unset($res);

    # now we want to load the fonts
    $query = "select number, value ".
             "  from font ".
             " where http_host = '$HTTP_HOST'";
    $res   = pg_exec($conn,$query);
    $r = 0;
    while($row = @pg_fetch_object($res,$r++)) {
        $font = "font_" . $row->number;
        $$font = $row->value;
    }
    pg_freeresult($res);
    unset($res);

 ?>
