<?
    /*
     * File: site_info.php
     *
     * Description: This file gets the page_info record and sets some
     *              other variables that are used for pages. This file
     *              is included on each page after setting the variable
     *              $web_page.
     *
     * Creator: Chris Ryan <chris@greatbridge.com>
     * Created: ??/??/????
     *
     * Change Log:
     *     Chris Ryan <chris@greatbridge.com> ??/??/????
     *         - Initial file creation
     *     Chris Ryan <chris@greatbridge.com> 10/24/2000
     *         - Added file comments
     *         - Added the use of pg_freeresult after completing queries
     */

    # find the page_info record that matches the $web_page variable set
    # before this file was included 
    $query = "select page_title, ".
             "       page_template, ".
             "       page_header, ".
             "       use_master, ".
             "       meta_description, ".
             "       meta_keyword, ".
             "       group_id, ".
             "       page_url, ".
             "       link_name ".
             "  from page_info ".
             " where http_host = '$HTTP_HOST' ".
             "   and web_page = '$web_page' ".
             "   and active = true ";
    $res = pg_exec($conn,$query);
    $page_info = pg_fetch_object($res,0);
    pg_freeresult($res);

    $page_title = $page_info->page_title;
    $page_template = $template_path . "/" . $page_info->page_template;
    $page_header = $page_info->page_header;
    $use_master = $page_info->use_master;
    $meta_description = $page_info->meta_description;
    $meta_keyword = $page_info->meta_keyword;
    $group_id = $page_info->group_id;
    $page_url = $page_info->page_url;
    $link_name = $page_info->link_name;

    if($use_master == "t") {
        $template_path = $MASTER_TEMPLATE_PATH;
        $name_prefix = "master";
    }

    # first i need to find the group information for this page.
    # if this page does not have a group attached to it then i need
    # to find the parent group information.... if still no go then
    # we have a configure setup problem ;)
    $query = "select group_id, name, description, is_content, web_page ".
             "  from group_info ".
             " where http_host = '$HTTP_HOST' ".
             "   and web_page  = '$web_page' ";
    $res   = pg_exec($conn,$query);
    if(pg_numrows($res) < 1) {
        pg_freeresult($res);
        $query = "select group_id, name, description, is_content, web_page ".
                 "  from group_info ".
                 " where http_host = '$HTTP_HOST' ".
                 "   and group_id  = '$group_id' ";
        $res   = pg_exec($conn,$query);
    }
    $group_info = @pg_fetch_array($res,0);
    pg_freeresult($res);

    $group_group_id = $group_info["group_id"];
    $group_name = $group_info["name"];
    $group_description = $group_info["description"];
    $group_is_content = $group_info["is_content"];
    $group_web_page = $group_info["web_page"];

    # now I need to generate the tree
    # right now i'm thinking If i generate the top level then get
    # the structure from the current page and work my way up the tree
    # to the top level pages/groups
    # we are going to make so that you can have collapsable menus or flat
    # out display the tree up-front...

    # this is not good at all. In the future we should add a field to 
    # site_info to do this
    if($HTTP_HOST == "greatbridge.com") {
        $AUTO_MENU_COLLAPSE = true;
    }

    if($AUTO_MENU_COLLAPSE) {
        if($group_is_content == "t") {
            $query = " select link_name, page_url,web_page ".
                     "   from page_info ".
                     "  where http_host = '$HTTP_HOST' ".
                     "    and group_id  = '$group_group_id' ".
                     "    and active = true ".
                     "order by order_number ";
            $res   = pg_exec($conn,$query);
            # get the list of children of the current group we are on.
            $r = 0;
            while($row = @pg_fetch_array($res,$r++)) {
                $elem = array( "link_name" => $row["link_name"],
                               "page_url"  => $row["page_url"],
                               "web_page"  => $row["web_page"],
                               "children"   => "" );
                $nav_tree[] = $elem;
            }
            pg_freeresult($res);
        }
    
        $query = "select group_id ".
                 "  from page_info ".
                 " where http_host = '$HTTP_HOST' ".
                 "   and web_page = '$group_web_page' ".
                 "   and active = true ";
        $res   = pg_exec($conn,$query);
        $row   = @pg_fetch_array($res,0);
        pg_freeresult($res);
        $t_group_id = $row["group_id"];
        $query = " select link_name, page_url, web_page ".
                 "   from page_info ".
                 "  where http_host = '$HTTP_HOST' ".
                 "    and group_id = '$t_group_id' ".
                 "    and active = true ".
                 "order by order_number ";
        $res   = pg_exec($conn,$query);
        $r = 0;
        while($row = @pg_fetch_array($res,$r++)) {
            $children = ($row["web_page"]==$group_web_page?$nav_tree:"");
            $elem = array( "link_name" => $row["link_name"],
                           "page_url"  => $row["page_url"],
                           "web_page"  => $row["web_page"],
                           "children"   => $children );
            $tmp_tree[] = $elem;
        }
        pg_freeresult($res);
        $nav_tree = $tmp_tree;
        $tmp_tree = "";
    
    
        while($t_group_id != "") {
            $query = "select web_page ".
                     "  from group_info ".
                     " where http_host = '$HTTP_HOST' ".
                     "   and group_id = '$t_group_id' ";
            $res   = pg_exec($conn,$query);
            $row = @pg_fetch_array($res,0);
            pg_freeresult($res);
            $t_web_page = $row["web_page"];
            $query = "select group_id ".
                     "  from page_info ".
                     " where http_host = '$HTTP_HOST' ".
                     "   and web_page = '$t_web_page' ".
                     "   and active = true ";
            $res   = pg_exec($conn,$query);
            $row = @pg_fetch_array($res,0);
            pg_freeresult($res);
            $t_group_id = $row["group_id"];
            $query = " select link_name, page_url, web_page ".
                     "   from page_info ".
                     "  where http_host = '$HTTP_HOST' ".
                     "    and group_id  = '$t_group_id' ".
                     "    and active = true ".
                     "order by order_number ";
            $res   = pg_exec($conn,$query);
            $r = 0;
            while($row = @pg_fetch_array($res,$r++)) {
                $children = ($row["web_page"]==$t_web_page?$nav_tree:"");
                $elem = array( "link_name" => $row["link_name"],
                               "page_url"  => $row["page_url"],
                               "web_page"  => $row["web_page"],
                               "children"   => $children );
                $tmp_tree[] = $elem;
            }
            pg_freeresult($res);
            $nav_tree = $tmp_tree;
            $tmp_tree = "";
        }
    } else {
        function getChildNavigation($group_id) {
            global $HTTP_HOST;
            global $conn;
            $query = "  select link_name, page_url, web_page ".
                     "    from page_info ".
                     "   where http_host = '$HTTP_HOST' ".
                     "     and group_id = '$group_id' ".
                     "     and active = true ".
                     "order by order_number ";
            $res   = pg_exec($conn,$query);
            $r = 0;
            while($row = @pg_fetch_array($res,$r++)) {
                $query = "select group_id, is_content ".
                         "  from group_info ".
                         " where web_page = '${row["web_page"]}' ";
                $res2   = pg_exec($conn,$query);
                unset($children);
                if(!empty($res2) && pg_numrows($res2) > 0) {
                    if(pg_result($res2,0,1) == "t") {
                        $child_group_id = pg_result($res2,0,0);
                        $children = getChildNavigation($child_group_id);
                    }
                }
                pg_freeresult($res2);
                $nav_tree[] = array( "link_name" => $row["link_name"],
                                     "page_url"  => $row["page_url"],
                                     "web_page"  => $row["web_page"],
                                     "children"  => $children );
            }
            pg_freeresult($res);
            return $nav_tree;
        }
        $nav_tree = getChildNavigation("");
    }
    
 ?>
