<?
    /*
     * File: survgen.php  
     * 
     * Description:
     *     actually generates the survey for display
     * 
     * Creator: Allen McGrath <allen@greatbridge.com>
     * Created: 10/04/00 
     * 
     * Change Log:
     *     Allen McGrath <amcgrath@greatbridge.com> 10/04/2000
     *         - Intial file creation
     *     Chris Ryan <chris@greatbridge.com> 10/24/2000
     *         - General code format changes
     *         - Update file comments to match other files
     *         - Added the use of pg_freeresult after finishing a query
     */

    $chk_query = "SELECT SURVEY_ID ".
                 "  FROM SURVEY " .
                 " WHERE PROJECT_ID = $project_id " .
                 "   AND ACTIVE = 't'";
						 
    $chk_result = pg_exec($conn,$chk_query);

    if (pg_numrows($chk_result) == 0) {
        pg_freeresult($res);
        return;
    } else {
        $survey_id = pg_result($chk_result,0,0);

        $qs_query = "SELECT A.QUESTION_ID, A.QUESTION, " .
                    "       B.ANSWER_ID, B.ANSWER ".
                    "  FROM SURVEY_QUESTION A, SURVEY_ANSWER B " .
                    " WHERE A.SURVEY_ID = $survey_id ".
                    "   AND B.QUESTION_ID = A.QUESTION_ID";

	$qs_result = pg_exec($conn,$qs_query);
	
        $r = 0;
        while ($row = @pg_fetch_array($qs_result,$r++)) {
            $survey_list[] = array( "question_id" => $row["question_id"],
                                    "question" => $row["question"],
                                    "answer_id" => $row["answer_id"],
                                    "answer" => $row["answer"]);
        }
        pg_freeresult($qs_result);

        echo "<form method=\"post\" action=\"/project/" . $project_name ."/survey/submit.php\">";
        echo "<input type=\"hidden\" name=\"destination\" value=\"" . $PHP_SELF . "\">";
        echo "<input type=\"hidden\" name=\"survey_id\" value=\"" . $survey_id . "\">";
        $cnt = 0;
        while(list(,$value) = @each($survey_list)) {
            if(empty($cur_question) ||
               $cur_question <> $value["question_id"]) {
                $cnt = ++$cnt;
                $cur_question = $value["question_id"];
                echo "<p>" . $value["question"] . "<br>" ;
            }	
            echo "<input type=radio name=answer_" . $cnt .
                 " value=" . $value["question_id"] . "-" .
                 $value["answer_id"] . ">" . $value["answer"] . "<br>";
        }
        echo "<input type=submit>";
        echo "</form>";
    }

 ?>
