<?

/**************************************************
Program name:		buglist.php  
Author:			Allen McGrath (allen@greatbridge.com)

Description:		Displays all bugs of a particular
			project so the admin can update them.
			
Create Date:		10/9/00 

Modified Date(s):	
			10/12/2000 Allen McGrath (allen@greatbridge.com)
			added TITLE to the BUG table queries, as fix to 
			a reported bug.
                                
                        10/18/2000 Allen mcGrath (amcgrath@greatbridge.com)
                        added the query to get a list of tasks so a person could
                        attach teh bug to an existing task.

                        11/21/2000 Chris Ryan <chris@greatbridge.com>
                        Added some code to get some information about the task
                        this bug is assigned to.

                        11/22/2000 Chris Ryan <chris@greatbridge.com>
                        Added code to get all the comments attached to a bug

**************************************************/
 
$web_page = "bugupdatepage";
include("site_info.php");
$group_group_id = "bugupdate";

if (empty($QUERY_STRING) && empty($bug_id)) {
	$context = "This program encountered a problem.  Specifically:";
	$context_error[] = "No bug ID was passed via the query_string.";
	$web_page = "contextpage";
	include($page_template);
	return;
}

else if (!empty($QUERY_STRING)) $bug_id = $QUERY_STRING ;

if ($bug_update == "yes") {
	$tu_query = "UPDATE TASK " .
			"SET STATUS_ID = $status_id " .
			"WHERE TASK_ID = (SELECT TASK_ID FROM BUG ".
			"WHERE BUG_ID = $bug_id)";

	$bu_query = "UPDATE BUG " .
		"SET STATUS_ID = $status_id " .
		"WHERE BUG_ID = $bug_id";
	$tu_result = pg_exec($conn,$tu_query);
	$bu_query = pg_exec($conn,$bu_query);
	$context = "The bug and related task status has been changed.";

}
			

$bs_query = "SELECT TITLE, PROJECT_ID, CLASS_ID, PRIORITY, SEVERITY_ID, " .
	"STATUS_ID, DESCRIPTION, VERSION, OS, OS_VERSION, " .
	"PLATFORM, TASK_ID, CREATED_BY, EMAIL, DATE_CREATED, environment " .
	"FROM BUG " .
	"WHERE BUG_ID = $bug_id ";

$bs_result = pg_exec($conn,$bs_query);

if (pg_numrows($bs_result) == 0) {
	$context = "This program encountered a problem.  Specifically:";
	$context_error[] = "No bug was found with the ID number " . $bug_id . ".";
	$web_page = "contextpage";
	include($page_template);
	return;
}

$bug_info = pg_fetch_object($bs_result,0);
	$project_id	  = $bug_info->project_id;
	$class_id     = $bug_info->class_id;
	$priority     = $bug_info->priority;
	$severity_id  = $bug_info->severity_id;
	$status_id    = $bug_info->status_id;
	$description  = $bug_info->description;
	$version      = $bug_info->version;
	$os				    = $bug_info->os;
	$os_version	  = $bug_info->os_version;
	$platform     = $bug_info->platform;
	$task_id		  = $bug_info->task_id;
	$created_by	  = $bug_info->created_by;
	$email			  = $bug_info->email;
	$date_created = $bug_info->date_created;
	$title        = $bug_info->title;
        $environment  = $bug_info->environment;
	$severity_list = getBugSeverityList();
	$class_list = getBugClassList();
	$status_list = getBugStatusList();

if(!empty($task_id)) {
    $query = "select task_name, assigned_to, percent_done ".
             "  from task ".
             " where task_id = $task_id ";
    $res = @pg_exec($conn,$query);
    $task_data = @pg_fetch_array($res,0);
}

    $query = "  select comment_id, comment, created_by, email, date_created ".
             "    from bug_comment ".
             "   where bug_id = $bug_id ".
             "order by date_created ";
    $res   = @pg_exec($conn,$query);
    $r = 0;
    while($row = @pg_fetch_array($res,$r++)) {
        $bug_comments[] = $row;
    }

# go get a list of tasks to assign this bug to

$ts_query = "SELECT TASK_ID, TASK_NAME FROM TASK WHERE PROJECT_ID = $project_id " .
            "ORDER BY DATE_CREATED";
$ts_result = pg_exec($conn,$ts_query);

$ts = 0;
while ($row = @pg_fetch_array($ts_result,$ts++)) {
		$task_list[$row["task_id"]] = $row["task_name"];	
}
	

include($page_template);
 ?>




 

