---
-- File: create_schema.sql
--
-- Description:
--     This file executes all the .sql files in a cronological order
--     to create the database schema. This file also creates the states
--     and country data. If you don't want to load the state and country
--     data that we provide you can comment out the lines that execute
--     those files.
--
-- Creator: Chris Ryan <chris@greatbridge.com>
-- Created: 10/31/2000
--
-- Change Log:
--     Chris Ryan <chris@greatbridge.com> 10/31/2000
--         - Initial file creation
--     Chris Ryan <chris@greatbridge.com> 11/01/2000
--         - added in to run the license.dat file
--         - added in to run the role.dat file
--         - added in to run the stage.dat file
--         - Had to convert all the c style comments to
--           a PostgreSQL style comment cause of a parse
--           error. I'm not sure what was causing it but
--           changing the comment style makes the problem
--           go away. If we can every fix this in order
--           to convert it back on vi just do the follow
--           commands:
--               :%s/^---/\/\*/g
--               :%s/^--/\ \*/g
--/

---
-- Core dotorg
--/
\i sites.sql
\i member.sql
\i project.sql

\i taskmng.sql
\i bugs.sql

\i dwnldmng.sql
\i patch.sql

\i snippet.sql
\i survey.sql

---
-- Country and State data
--/
\i country.dat
\i state.dat

---
-- load up other data for the gborg gbsite project
--/
\i license.dat
\i role.dat
\i stage.dat

---
-- CreateBridge.com site specific tables
--/
\i mktg_tables.sql
\i site_content.sql
\i tools.sql
\i new_tables.sql

