/*
 * File: mktg_tables.sql
 *
 * Description:
 *     These are the tables that we use for in-house programs
 *     and marketing features.
 *
 * Creator: Allen McGrath <amgrath@greatbridge.com>
 * Created: 10/02/2000
 *
 * Change Log:
 *     Allen McGrath <amcgrath@greatbridge.com> 10/02/2000
 *         - Initial file creation
 *     Chris Ryan <chris@greatbridge.com> 10/25/2000
 *         - Added file and table comments
 */

/*
 * Table: mktg_career
 *
 * Description: this table is used for out job listings
 *
 * Field Description:
 * career_id    the id of the career (primary key)
 * temp_id      the temp_id of this career used to keep double clicks down
 * title        the jobs title
 * description  the description of the job
 * start_date   the date this job listing starts
 * end_date     the date this job listing ends
 * staff_id     the id of staff member to contact
 */
create sequence career_career_id_seq;
create table mktg_career (
    career_id   int4 not null default nextval('career_career_id_seq'),
    temp_id     varchar(32),
    title       varchar(100) not null,
    description text not null,
    start_date  date default now(),
    end_date    date default now() + 365,
    staff_id    int4 references staff,
    primary key (career_id)
);


