<table cellpadding="2" cellspacing="0" border="0" width="100%">
<tr>
<td>
<p><b>Who Paid for This?</b></p>

<p>We did, Great Bridge.</p>

<p><a href="http://www.xperts.com/">Xperts, Inc.</a> worked as a contractor to Great Bridge. </p>

<p>The following notes were compiled by the lead engineer on the project at Xperts:</p>

<p><b>How We Benchmarked</b></p>

<p>We used <i>Benchmark Factory</i> software (<a href="http://www.benchmarkfactory.com/">http://www.benchmarkfactory.com/</a>),
from Quest Software. This software comes with pre-assembled benchmarks
that follow the industry standards for database benchmarking. We used preassembled
benchmarks, as they came from Benchmark Factory.</p>

<p>We used an AS3AP multiuser test (IR select - <a href="http://www.benchmarkresources.com/handbook/5-3.html">http://www.benchmarkresources.com/handbook/5-3.html</a>)
and the suite of TPC-C multiuser tests (<a href="http://www.tpc.org/faq_TPCC.html">http://www.tpc.org/faq_TPCC.html</a>).</p>

<p>AS3AP is ANSI SQL Standard Scalable and Portable (AS3AP) benchmark
for relational database systems. The test we ran was designed to create
information retrieval workloads. We measured the transactions per second
at various user levels, up to 100 users.</p>

<p>The TPC-C test was more comprehensive. TPC Benchmark-
C (TPC-C) is an OLTP workload. It is a mixture of read-only and update
intensive transactions that simulate the activities found in complex OLTP
application environments. It does so by exercising a breadth of system
components associated with such environments.</p>

<p>The Benchmark Factory client runs on Windows NT. Our
Windows NT client was attached to a 10/100baseT hub. The server machines
were connnected to that same hub. The entire mini-network was isolated
from other networks during the tests. All unnecessary software daemons,
background processes, etc. were killed during the tests on both the client
and server machines.</p>

<p>Benchmark Factory connects to the different databases
via ODBC. ODBC has its own overhead, but all testing to all databases was
done thru ODBC to factor out the connection speed issues.</p>

<p><b>Hardware Setup</b></p>

<p>We had 2 server machines and one client machine on
a small LAN. Here is a description of the hardware. Note this LAN was isolated
from the rest of our network during benchmarking.
<i>NT client</i></p>
<ul style='margin-top:0in' type=disc>
<li>
Manufacturer: Micron</li>
<li>
Model: Micron Millenia - family 6, model 7 stepping 3</li>
<li>
OS: windows NT 4, service pack 4</li>
<li>
RAM: 256 megs</li>
<li>
HD: single 13 gig</li>
<li>
CPU: 500 mhz PIII</li>
</ul>
<i>Server for PostgreSQL, MySQL, Interbase, and Proprietary 1</i>
<ul style='margin-top:0in' type=disc>
<li>
Manufacturer: Compaq</li>
<li>
Model: Compaq Proliant ML 350</li>
<li>
OS: red hat linux 6.1</li>
<li>
RAM: 512 megs</li>
<li>
HD: 2 18 gig, Wide Ultra2 SCSI, hot pluggable, 10,000 rpm</li>
<li>
Disk Controller: Integrated Dual Channel Wide Ultra2 SCSI</li>
<li>
CPU: 600 mhz PIII</li>
</ul>
<i>Server for Proprietary 2</i>
<ul style='margin-top:0in' type=disc>
<li>
Manufacturer: Compaq</li>
<li>
Model: Compaq Proliant ML 350</li>
<li>
OS: Windows NT server 4 - service pack 4</li>
<li>
RAM: 512 megs</li>
<li>
HD: 2 18 gig, Wide Ultra2 SCSI, hot pluggable, 10,000 rpm</li>
<li>
Disk Controller: Integrated Dual Channel Wide Ultra2 SCSI</li>
<li>
CPU: 600 mhz PIII</li>
</ul>
<i>Network</i>
<ul style='margin-top:0in' type=disc>
<li>
Bay Networks, netgear DS108 8 port 10baseT/100baseT hub</li>
</ul>
<i>Misc</i>
<ul style='margin-top:0in' type=disc>
<li>
Power line conditioning</li>
<li>
2 APC Back UPS Pro 1400 units</li>
</ul>

<p><b>How can you compare these databases fairly?</b></p>

<p>Database comparisons were done on a per machine
basis. We compared Proprietary, MySQL, Interbase, and PostgreSQL results
on a Compaq server running Linux. The exception is Proprietary 2, which
only runs on Windows NT. That server was identical to the Linux machine,
but the operating system was different. This needs to be taken into account
when making performance assessments.</p>

<p>The benchmarks were conducted such that the databases
were the same size, and user loads were identical. The maximum user load
we used was 100 users.</p>

<p>MySQL would not run TPC-C tests because it couldn't
understand the SQL for this benchmark.</p>

<p>Interbase would not run TPC-C tests because it couldn't
understand the SQL for this benchmark, but this problem was also complicated
with ODBC issues.</p>

<p><b>What versions of the databases did you use?</b></p>

<ul>
<li>PostgreSQL - 7.0 release version
<li>Proprietary 1 - 8.1.5
<li>Proprietary 2 - 7.0
<li>MySQL - 3.22.32
<li>Interbase - 6.0
</ul>

<p><b>What versions of the operating systems?</b></p>
<ul>
<li>Linux - Red Hat 6.1
<li>Windows NT Server - NT 4 service pack 4
<li>Windows NT (client) - NT 4 service pack 4
</ul>

<p><b>Did you do any database tuning?</b></p>

<p>First of all, everyone should be aware that the best "tuning" you can
do for a database-driven application is within the app itself.&nbsp; What's
more, with this professional benchmarking tool, we were loath to do things
that were part of the cross-database universal setup routine for the software,
such as setting up tables in a certain way.</p>

<p>With PostgreSQL, we increased the size of the cache,
and increased the number of simultaneous users. We did this by starting
the database with a command that included parameters for this purpose.
Out of the box, PostgreSQL is very conservative with resource use, and
thus only allows 32 simultaneous connections. Increasing the number of
simultaneous users requires an increase in cache size. This boost in cache
size also boosts performace by a small margin.</p>

<p>We also executed a process called "vacuum analyze"
after loading the tables, but before the test. This process optimizes indexes
and frees up disk space a bit. The optimized indexes boost performance
by some margin.</p>

<p>With "Proprietary 1," we split the data and the index
across two drives, to boost performance. Memory parameters were tweaked
as well to allow more simultaneous users to connect.</p>

<p>With MySQL, we ran the database the way it installed
via rpm. No special tuning.</p>

<p>With Interbase 6.0, there is no current ODBC driver
that works. We needed to create our databases with "dialect 1" instead
of the default "dialect 3" in order to use the older ODBC driver that worked
with Interbase 5.5. I don't believe this has any affect on performance.
On Linux, we used the "classic" server.</p>

<p>With "Proprietary 2," we did no tuning. Proprietary
2 does some of its own tuning based on the OS, and other factors it determines
when loading.</p>
      
<p>OUTSIDE BENCHMARK CONTACT:<br>
Richard Brosnahan<br>
Xperts, Inc.<br></p>
</td>
</tr>
</table>